/*
 *  @(#) $Id: gwystock.h 12576 2011-07-11 14:51:57Z yeti-dn $
 *  Copyright (C) 2003 David Necas (Yeti), Petr Klapetek.
 *  E-mail: yeti@gwyddion.net, klapetek@gwyddion.net.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef __GWY_STOCK_H__
#define __GWY_STOCK_H__

#include <glib/gmacros.h>

G_BEGIN_DECLS

/* The following generated part is updated by running utils/stockgen.py */

/* @@@ GENERATED STOCK LIST BEGIN @@@ */
#define GWY_STOCK_3D_BASE               "gwy_3d_base"
#define GWY_STOCK_ARITHMETIC            "gwy_arithmetic"
#define GWY_STOCK_BOLD                  "gwy_bold"
#define GWY_STOCK_CANTILEVER            "gwy_cantilever"
#define GWY_STOCK_COLOR_RANGE           "gwy_color_range"
#define GWY_STOCK_COLOR_RANGE_ADAPTIVE  "gwy_color_range_adaptive"
#define GWY_STOCK_COLOR_RANGE_AUTO      "gwy_color_range_auto"
#define GWY_STOCK_COLOR_RANGE_FIXED     "gwy_color_range_fixed"
#define GWY_STOCK_COLOR_RANGE_FULL      "gwy_color_range_full"
#define GWY_STOCK_CROP                  "gwy_crop"
#define GWY_STOCK_CWT                   "gwy_cwt"
#define GWY_STOCK_DATA_MEASURE          "gwy_data_measure"
#define GWY_STOCK_DISTANCE              "gwy_distance"
#define GWY_STOCK_DRIFT                 "gwy_drift"
#define GWY_STOCK_DWT                   "gwy_dwt"
#define GWY_STOCK_EDGE                  "gwy_edge"
#define GWY_STOCK_FACET_LEVEL           "gwy_facet_level"
#define GWY_STOCK_FAVOURITE             "gwy_favourite"
#define GWY_STOCK_FFT                   "gwy_fft"
#define GWY_STOCK_FILTER                "gwy_filter"
#define GWY_STOCK_FIX_ZERO              "gwy_fix_zero"
#define GWY_STOCK_FLIP_HORIZONTALLY     "gwy_flip_horizontally"
#define GWY_STOCK_FLIP_VERTICALLY       "gwy_flip_vertically"
#define GWY_STOCK_FRACTAL               "gwy_fractal"
#define GWY_STOCK_GL_MATERIAL           "gwy_gl_material"
#define GWY_STOCK_GRADIENT_HORIZONTAL   "gwy_gradient_horizontal"
#define GWY_STOCK_GRADIENT_VERTICAL     "gwy_gradient_vertical"
#define GWY_STOCK_GRAINS                "gwy_grains"
#define GWY_STOCK_GRAINS_GRAPH          "gwy_grains_graph"
#define GWY_STOCK_GRAINS_MEASURE        "gwy_grains_measure"
#define GWY_STOCK_GRAINS_REMOVE         "gwy_grains_remove"
#define GWY_STOCK_GRAINS_WATER          "gwy_grains_water"
#define GWY_STOCK_GRAPH                 "gwy_graph"
#define GWY_STOCK_GRAPH_FUNCTION        "gwy_graph_function"
#define GWY_STOCK_GRAPH_HALFGAUSS       "gwy_graph_halfgauss"
#define GWY_STOCK_GRAPH_MEASURE         "gwy_graph_measure"
#define GWY_STOCK_GRAPH_PALETTE         "gwy_graph_palette"
#define GWY_STOCK_GRAPH_POINTER         "gwy_graph_pointer"
#define GWY_STOCK_GRAPH_RULER           "gwy_graph_ruler"
#define GWY_STOCK_GRAPH_VERTICAL        "gwy_graph_vertical"
#define GWY_STOCK_GRAPH_ZOOM_FIT        "gwy_graph_zoom_fit"
#define GWY_STOCK_GRAPH_ZOOM_IN         "gwy_graph_zoom_in"
#define GWY_STOCK_GRAPH_ZOOM_OUT        "gwy_graph_zoom_out"
#define GWY_STOCK_GWYDDION              "gwy_gwyddion"
#define GWY_STOCK_IMMERSE               "gwy_immerse"
#define GWY_STOCK_ISO_ROUGHNESS         "gwy_iso_roughness"
#define GWY_STOCK_ITALIC                "gwy_italic"
#define GWY_STOCK_LESS                  "gwy_less"
#define GWY_STOCK_LEVEL                 "gwy_level"
#define GWY_STOCK_LEVEL_TRIANGLE        "gwy_level_triangle"
#define GWY_STOCK_LIGHT_ROTATE          "gwy_light_rotate"
#define GWY_STOCK_LINE_LEVEL            "gwy_line_level"
#define GWY_STOCK_LOGSCALE_HORIZONTAL   "gwy_logscale_horizontal"
#define GWY_STOCK_LOGSCALE_VERTICAL     "gwy_logscale_vertical"
#define GWY_STOCK_MASK                  "gwy_mask"
#define GWY_STOCK_MASK_ADD              "gwy_mask_add"
#define GWY_STOCK_MASK_CIRCLE           "gwy_mask_circle"
#define GWY_STOCK_MASK_CIRCLE_EXCLUSIVE "gwy_mask_circle_exclusive"
#define GWY_STOCK_MASK_CIRCLE_INCLUSIVE "gwy_mask_circle_inclusive"
#define GWY_STOCK_MASK_EDITOR           "gwy_mask_editor"
#define GWY_STOCK_MASK_EXCLUDE          "gwy_mask_exclude"
#define GWY_STOCK_MASK_EXCLUDE_CIRCLE   "gwy_mask_exclude_circle"
#define GWY_STOCK_MASK_FILL_DRAW        "gwy_mask_fill_draw"
#define GWY_STOCK_MASK_FILL_ERASE       "gwy_mask_fill_erase"
#define GWY_STOCK_MASK_GROW             "gwy_mask_grow"
#define GWY_STOCK_MASK_INTERSECT        "gwy_mask_intersect"
#define GWY_STOCK_MASK_INVERT           "gwy_mask_invert"
#define GWY_STOCK_MASK_LINE             "gwy_mask_line"
#define GWY_STOCK_MASK_PAINT_DRAW       "gwy_mask_paint_draw"
#define GWY_STOCK_MASK_PAINT_ERASE      "gwy_mask_paint_erase"
#define GWY_STOCK_MASK_RECT_EXCLUSIVE   "gwy_mask_rect_exclusive"
#define GWY_STOCK_MASK_RECT_INCLUSIVE   "gwy_mask_rect_inclusive"
#define GWY_STOCK_MASK_REMOVE           "gwy_mask_remove"
#define GWY_STOCK_MASK_SHRINK           "gwy_mask_shrink"
#define GWY_STOCK_MASK_SUBTRACT         "gwy_mask_subtract"
#define GWY_STOCK_MERGE                 "gwy_merge"
#define GWY_STOCK_MORE                  "gwy_more"
#define GWY_STOCK_PALETTES              "gwy_palettes"
#define GWY_STOCK_PATH_LEVEL            "gwy_path_level"
#define GWY_STOCK_POINTER_MEASURE       "gwy_pointer_measure"
#define GWY_STOCK_POLYNOM               "gwy_polynom"
#define GWY_STOCK_PROFILE               "gwy_profile"
#define GWY_STOCK_REMOVE_UNDER_MASK     "gwy_remove_under_mask"
#define GWY_STOCK_ROTATE                "gwy_rotate"
#define GWY_STOCK_ROTATE_180            "gwy_rotate_180"
#define GWY_STOCK_ROTATE_90_CCW         "gwy_rotate_90_ccw"
#define GWY_STOCK_ROTATE_90_CW          "gwy_rotate_90_cw"
#define GWY_STOCK_SCALE                 "gwy_scale"
#define GWY_STOCK_SCALE_HORIZONTALLY    "gwy_scale_horizontally"
#define GWY_STOCK_SCALE_VERTICALLY      "gwy_scale_vertically"
#define GWY_STOCK_SCARS                 "gwy_scars"
#define GWY_STOCK_SELECTIONS            "gwy_selections"
#define GWY_STOCK_SHADER                "gwy_shader"
#define GWY_STOCK_SPECTRUM              "gwy_spectrum"
#define GWY_STOCK_SPOT_REMOVE           "gwy_spot_remove"
#define GWY_STOCK_STAT_QUANTITIES       "gwy_stat_quantities"
#define GWY_STOCK_SUBSCRIPT             "gwy_subscript"
#define GWY_STOCK_SUPERSCRIPT           "gwy_superscript"
#define GWY_STOCK_UNROTATE              "gwy_unrotate"
#define GWY_STOCK_VALUE_INVERT          "gwy_value_invert"
#define GWY_STOCK_ZOOM_1_1              "gwy_zoom_1_1"
#define GWY_STOCK_ZOOM_FIT              "gwy_zoom_fit"
#define GWY_STOCK_ZOOM_IN               "gwy_zoom_in"
#define GWY_STOCK_ZOOM_OUT              "gwy_zoom_out"
/* @@@ GENERATED STOCK LIST END @@@ */

#define GWY_ICON_SIZE_ABOUT "gwy-about"

void gwy_stock_register_stock_items(void);

G_END_DECLS

#endif /* __GWY_STOCK_H__ */

/* vim: set cin et ts=4 sw=4 cino=>1s,e0,n0,f0,{0,}0,^0,\:1s,=0,g1s,h0,t0,+1s,c3,(0,u0 : */

